Package org.eclipse.rdf4j.sail

## Class EvaluationStrategyTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.EvaluationStrategyTest

-     public abstract class EvaluationStrategyTest
      extends Object

  Test cases for behavior of `StrictEvaluationStrategy` and `ExtendedEvaluationStrategy` on base Sail implementations.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.junit.rules.TemporaryFolder` | `tempDir` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvaluationStrategyTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract BaseSailConfig` | `getBaseSailConfig()` | Gets a configuration object for the base Sail that should be tested.
    `void` | `setUp()` |
    `static void` | `setUpClass()` |
    `void` | `testDatetimeSubtypesExtended()` |
    `void` | `testDatetimeSubtypesStrict()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tempDir

          public org.junit.rules.TemporaryFolder tempDir

  - ### Constructor Detail

    - #### EvaluationStrategyTest

          public EvaluationStrategyTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### testDatetimeSubtypesStrict

          public void testDatetimeSubtypesStrict()

    - #### testDatetimeSubtypesExtended

          public void testDatetimeSubtypesExtended()

    - #### getBaseSailConfig

          protected abstract BaseSailConfig getBaseSailConfig()

      Gets a configuration object for the base Sail that should be tested.
      Returns:
        a `BaseSailConfig`.